# SPDX-FileCopyrightText: 2024 Galagic Limited, et al. <https://galagic.com>
#
# SPDX-License-Identifier: CC-BY-SA-4.0
#
# An educational city building game for children in primary education.
#
# For full copyright information see the AUTHORS file at the top-level
# directory of this distribution or at
# [AUTHORS](https://gitlab.com/thegalagic/learners/innercitylearners/AUTHORS.md)
#
# This work is licensed under the Creative Commons Attribution 4.0 International
# License. You should have received a copy of the license along with this work.
# If not, visit http://creativecommons.org/licenses/by/4.0/ or send a letter to
# Creative Commons, PO Box 1866, Mountain View, CA 94042, USA.
assets/skin/skin.json  diff
#
# Git LFS Rules
#
# Macros 
# https://github.com/git-lfs/git-lfs/issues/2120#issuecomment-1893222645
# https://git-scm.com/docs/gitattributes#_defining_macro_attributes
[attr]lfs filter=lfs diff=lfs merge=lfs -text
[attr]lfstext filter=lfs diff=lfstext merge=lfs -text
[attr]not-lfs !filter !diff !merge
# Added for gradle/wrapper/gradle-wrapper.jar initially but good to catch
# any future jars also
**/*.jar lfs
# Most png and assets will be binary therefore let lfs have them
**/*.[Pp][Nn][Gg] lfs
# Use lfstext so we can still get text diffs on tmx files
assets/**.tmx lfstext
assets/** lfs
# Exclude any of these files types which are textual
# https://stackoverflow.com/a/62082917
# They appear in assets but no harm applying across the repo too
# I've not bothered trying to catch all CaSeS
**/*.atlas not-lfs
**/*.json not-lfs
**/*.license not-lfs
